1.0

1.0

put /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Description

Set Event Policy

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event policy ID to modify - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
headerX-ResourceType
required
Resource Type
Example :
stringNone
bodybody
required

EventPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKEventPolicyDetailResponse
201OK(Created)EventPolicyDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Request body

{
    "eventPolicyRequest": {
        "disableYn": "N",
        "eventLevel": "WARNING",
        "eventMessagePrefix": "SCP",
        "eventOccurTimeZone": "GMT+9",
        "eventPolicyStatistics": {
            "eventPolicyStatisticsPeriod": 10,
            "eventPolicyStatisticsType": "MAX"
        },
        "eventThreshold": {
            "metricFunction": "delta",
            "rangeThreshold": {
                "maxComparisonOperator": "LT",
                "maxValue": 90,
                "minComparisonOperator": "GT",
                "minValue": 80
            },
            "singleThreshold": {
                "comparisonOperator": "LT",
                "value": 10
            },
            "thresholdType": "RANGE_VALUE"
        },
        "ftCount": 3,
        "objectDisplayName": "cpu0",
        "objectName": "cpu0",
        "objectType": "cluster",
        "podObjectDisplayName": "cpu0",
        "podObjectName": "cpu0"
    },
    "notificationRecipients": [
        {
            "notificationMethods": [
                {
                    "eventLevel": "FATAL",
                    "notificationMethod": "",
                    "sendMethod": [
                        "MAIL"
                    ]
                }
            ],
            "recipientKey": "1347",
            "recipientType": "USER"
        }
    ]
}

Example HTTP response

Response 200

{
    "asgYn": "",
    "attrListStr": "",
    "checkAsg": "",
    "createBy": "",
    "createById": "",
    "createdBy": "",
    "createdByName": "",
    "createdDt": "2026-02-11T06:41:18.791Z",
    "disableObject": "N",
    "disableYn": "",
    "displayEventRule": "SCP",
    "eventLevel": "WARNING",
    "eventMessagePrefix": "SCP",
    "eventOccurTimeZone": "GMT+9",
    "eventPolicyId": 7226,
    "eventPolicyStatistics": {
        "eventPolicyStatisticsPeriod": 10,
        "eventPolicyStatisticsType": "MAX"
    },
    "eventThreshold": {
        "metricFunction": "delta",
        "rangeThreshold": {
            "maxComparisonOperator": "LT",
            "maxValue": 90,
            "minComparisonOperator": "GT",
            "minValue": 80
        },
        "singleThreshold": {
            "comparisonOperator": "LT",
            "value": 10
        },
        "thresholdType": "RANGE_VALUE"
    },
    "ftCount": 3,
    "groupSummary": {
        "groupName": "",
        "groupResourceId": "",
        "groupSq": "",
        "productList": [
            {
                "productName": "",
                "productResourceId": "",
                "productSq": ""
            }
        ],
        "productTypeCode": "",
        "productTypeName": ""
    },
    "isLogMetric": "N",
    "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
    "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
    "metricKey": "system.cpu.system.pct",
    "metricName": "system.cpu.system.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "metricType": "NUM",
    "metricUnit": "%",
    "modifiedBy": "",
    "modifiedByName": "",
    "modifiedDt": "2026-02-11T06:41:18.791Z",
    "objectDisplayName": "/tmp",
    "objectName": "/tmp",
    "objectType": "cluster",
    "objectTypeName": "cluster",
    "productInfoAttrs": [
        {
            "attrName": "type",
            "attrValue": "test"
        }
    ],
    "productName": "adad-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSq": 7234,
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTargetType": "system.core.id 별",
    "productTargetTypeEn": "By system.core.id",
    "startDt": "2021-10-23T18:00:00Z",
    "updateBy": "",
    "updateById": "",
    "userNameList": [
        "userName",
        "userName"
    ],
    "userNameStr": "",
    "userNames": "N"
}